Subject: Re: linux-next: build failure after merge of the cgroup tree

From: Tejun Heo <[email-masked]>
Date: Fri, 14 Sep 2012 10:00:19 -0700

Hello,

On Fri, Sep 14, 2012 at 08:56:29AM +0200, Daniel Wagner wrote:
> On 14.09.2012 05:17, Stephen Rothwell wrote:
> >After merging the cgroup tree, today's linux-next build (powerpc
> >ppc64_defconfig) failed like this:
> >
> >drivers/net/tun.c: In function 'tun_alloc_skb':
> >drivers/net/tun.c:589:2: error: implicit declaration of function 'sock_update_classid' [-Werror=implicit-function-declaration]
> >
> >Caused by commit 1f66c0a8833c ("cgroup: net_cls: Move sock_update_classid()
> >declaration to cls_cgroup.h").  Grep is your friend ...

My apologies.  Forgot allmod build.

> >I have used the cgroup tree from next-20120913 for today.
> 
> Obviously, it is straight forward to fix this but I do not know what
> is the preferred solution. Shall I spin an updated version of this
> patch or add a patch on top of the series?

I fixed the commit in tree.

Thanks.

-- 
tejun